Documents
Copy Page
ChatDOC
Documents
Upload Document
POST
Upload Document
POST
Get Document
GET
Delete Document
DELETE
Download Document
GET
Collections
Create Collection
POST
Clone Document To Collection
POST
Questions
Get Suggested Questions
GET
Ask Question
POST
Get Question
GET
Ask Question With Multiple Documents
POST
Users
Get Quota
GET
Schemas
Schemas
APIAIModelEnum
APICloneReq
APICollectionOrUploadResp
APIPackageInfoResp
APIUploadResp
Body_Upload_Document_documents_upload_post
ChatMessage
ChatRoleEnum
CollectionReq
DocumentErrorMessage
DocumentStatus
HTTPValidationError
HtmlSelectedMeta
InteractionType
PDFViewerRect
PackageDataResp
PackageQuotaResp
QuestionReq
QuestionReqWithUploadIds
QuestionResp
SelectedMeta
SelectedMetaWithUploadId
UploadOcrType
UploadPackageType
UploadType
ValidationError
WebsiteReq
Documents
MCP
Copy Page
Download Document
Develop Env
https://dev.your-api-server.com
Develop Env
https://dev.your-api-server.com
GET
/documents/{upload_id}/download
Try it
Run in Apidog
Run in Apidog
Download content of the document, support CORS and range request.
If the document is of doc/docx format, then it's converted to pdf version, and the original version can't be downloaded.
If the document is of pdf format, it's recommended to use your local file to avoid unnecessary network traffic.
If the document is of md/epub/txt/website format, then it's converted to html version, and the original version can't be downloaded.
Request
Path Params
Generate Code
Responses
🟢
200
Successful Response
application/json
Generate Code
Body
Generate Code
ðŸŸ
422
Validation Error
Request
Request Example
Shell
JavaScript
Java
Swift
cURL
cURL-Windows
Httpie
wget
PowerShell
curl
--location
--request
GET
'https://dev.your-api-server.com/documents//download'
Response
Response Example
200 -
Example 1
null
Modified atÂ
2024-07-26 06:57:23
Previous
Delete Document
Next
Create Collection